Name:           jfreechart
Version:        1.5.4
Release:        %mkrel 1
Group:          Development/Java
Summary:        A 2D chart library for Java applications (JavaFX, Swing or server-side)
License:        LGPLv2+
URL:            https://www.jfree.org/jfreechart
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/jfree/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
# need apiguardian-api until Fedora releases junit >= 5.8.0 (1)
# link:
# https://junit.org/junit5/docs/5.8.0/release-notes/index.html#deprecations-and-breaking-changes
# https://junit.org/junit5/docs/5.8.0/release-notes/index.html#new-features-and-improvements
BuildRequires:  mvn(org.apiguardian:apiguardian-api)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-engine)

%description
JFreeChart is a comprehensive free chart library for the Java platform that can
be used on the client-side (JavaFX and Swing) or the server side (with export to
multiple formats including SVG, PNG and PDF).

%{?javadoc_package}

%prep
%autosetup

# (1)
%pom_add_dep org.apiguardian:apiguardian-api:1.1.1

%build
%mvn_build -f -- -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%license licence-LGPL.txt
%doc README.md




%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 1.5.4-1.mga10
+ Revision: 1986708
- Update to version 1.5.4
- Skip tests

* Mon Dec 12 2022 daviddavid <daviddavid> 1.5.3-1.mga9
+ Revision: 1920897
- Update to version 1.5.3
- Rewrite spec

* Sat Mar 26 2022 umeabot <umeabot> 1.0.19-12.mga9
+ Revision: 1828793
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 daviddavid <daviddavid> 1.0.19-11.mga8
+ Revision: 1620385
- Remove unnecessary dependency on parent POM
- Disable -swt sub-package by default
- Remove -javadoc sub-package since it would fail anyway with JDK 11
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.0.19-10.mga8
+ Revision: 1506550
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 daviddavid <daviddavid> 1.0.19-9.mga7
+ Revision: 1286817
- Fix FTBFS (sync with fc29)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1.0.19-8.mga6
+ Revision: 1103313
- Fix Build
- Second rebuild of the java stack

* Mon Feb 29 2016 neoclust <neoclust> 1.0.19-6.mga6
+ Revision: 980715
- First rebuild of the java stack
- sync package jfreechart with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jan 30 2015 daviddavid <daviddavid> 1.0.14-6.mga5
+ Revision: 812727
- use .mfiles generated during build
- update BuildRequires and Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0.14-5.mga5
+ Revision: 746928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.14-4.mga5
+ Revision: 680794
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.14-3.mga4
+ Revision: 506383
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.14-2.mga3
+ Revision: 355362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0.14-1.mga3
+ Revision: 343097
- New version

* Tue Aug 09 2011 gil <gil> 1.0.13-4.mga2
+ Revision: 132408
- added maven2 pom
+ dmorgan <dmorgan>
- Remove gcj support
- imported package jfreechart


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 19 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.0.13-1
- Update to a later release
- Cosmetic fixes

* Mon Apr 19 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.0.10-4
- Enable SWT support (ELMORABITY Mohamed, #583339)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 19 2008 Lubomir Rintel (Fedora Astronomy) <lkundrak@fedoraproject.org> - 1.0.10-1
- Initial packaging
